<?php defined('C5_EXECUTE') or die(_("Access Denied."));
$form = Loader::helper('form');
?>
<fieldset>
    <legend><?php echo t('Bank Transfer') ?></legend>
    <h4 style="text-align:justify;margin-bottom:10px"><?php echo t('This information will be stored with your hosting provider and transmitted unencrypted over the internet and shown to anyone who completes checkout on your site.')?></h4>
        <div class="clearfix">
	<?php echo $form->label('PAYMENT_METHOD_JERO_BANK_TRANSFER_BANK_BRANCH', t('Branch Name')) ?>
        <div class="input">
	    <?php echo $form->text('PAYMENT_METHOD_JERO_BANK_TRANSFER_BANK_BRANCH', $PAYMENT_METHOD_JERO_BANK_TRANSFER_BANK_BRANCH, array('class' => 'input-xlarge')) ?>
        </div>
    </div>
    <div class="clearfix">
	<?php echo $form->label('PAYMENT_METHOD_JERO_BANK_TRANSFER_BANK_AC_NAME', t('Account Name')) ?>
        <div class="input">
	    <?php echo $form->text('PAYMENT_METHOD_JERO_BANK_TRANSFER_BANK_AC_NAME', $PAYMENT_METHOD_JERO_BANK_TRANSFER_BANK_AC_NAME, array('class' => 'input-xlarge')) ?>
        </div>
    </div>
        <div class="clearfix">
	<?php echo $form->label('PAYMENT_METHOD_JERO_BANK_TRANSFER_BANK_SORT', t('Sort Code/Branch no')) ?>
        <div class="input">
	    <?php echo $form->text('PAYMENT_METHOD_JERO_BANK_TRANSFER_BANK_SORT', $PAYMENT_METHOD_JERO_BANK_TRANSFER_BANK_SORT, array('class' => 'input-xlarge')) ?>
        </div>
    </div>
    <div class="clearfix">
	<?php echo $form->label('PAYMENT_METHOD_JERO_BANK_TRANSFER_BANK_AC', t('Account Number')) ?>
        <div class="input">
	    <?php echo $form->text('PAYMENT_METHOD_JERO_BANK_TRANSFER_BANK_AC', $PAYMENT_METHOD_JERO_BANK_TRANSFER_BANK_AC, array('class' => 'input-xlarge')) ?>
            <span class="help-inline"><?php echo t('Required') ?></span>
        </div>
    </div>
    <div class="clearfix">
	<?php echo $form->label('PAYMENT_METHOD_PAYMATE_STANDARD_CURRENCY_CODE', t('Transaction Type')) ?>
        <div class="input">
	    <ul class="inputs-list">
                <li><label><?php echo $form->radio('PAYMENT_METHOD_JERO_BANK_TRANSFER_TRANSACTION_TYPE', 'authorization', $PAYMENT_METHOD_JERO_BANK_TRANSFER_TRANSACTION_TYPE == 'authorization') ?> <span><?php echo t('Authorization') ?></span></label></li>
                <li><label><?php echo $form->radio('PAYMENT_METHOD_JERO_BANK_TRANSFER_TRANSACTION_TYPE', 'sale', $PAYMENT_METHOD_JERO_BANK_TRANSFER_TRANSACTION_TYPE != 'authorization') ?> <span><?php echo t('Sale') ?></span></label></li>
	    </ul>
	</div>
    </div>
    <div class="clearfix">
	<?php echo $form->label('PAYMENT_METHOD_JERO_BANK_TRANSFER_EMAIL_RECEIPT', t('Send Receipt Email')) ?>
	<div class="input">
	    <ul class="inputs-list">
                <li><label><?php echo $form->radio('PAYMENT_METHOD_JERO_BANK_TRANSFER_EMAIL_RECEIPT', 'true', $PAYMENT_METHOD_JERO_BANK_TRANSFER_EMAIL_RECEIPT == 'true') ?> <span><?php echo t('Yes') ?></span></label></li>
                <li><label><?php echo $form->radio('PAYMENT_METHOD_JERO_BANK_TRANSFER_EMAIL_RECEIPT', 'false', $PAYMENT_METHOD_JERO_BANK_TRANSFER_EMAIL_RECEIPT != 'true') ?> <span><?php echo t('No') ?></span></label></li>
	    </ul>
	</div>
    </div>
    <div id="mailbody" class="clearfix">
	<?php echo $form->label('PAYMENT_METHOD_JERO_BANK_TRANSFER_EMAIL_BODY', t('Email Body')) ?>
	<div class="input">
	    <?php echo $form->textarea('PAYMENT_METHOD_JERO_BANK_TRANSFER_EMAIL_BODY', $PAYMENT_METHOD_JERO_BANK_TRANSFER_EMAIL_BODY, array('class' => 'input-xlarge','rows'=>10,'cols'=>40)) ?>
	</div>
    </div>
    <div id="formtext" class="clearfix">
	<?php echo $form->label('PAYMENT_METHOD_JERO_BANK_TRANSFER_FORM_TEXT', t('Form Text')) ?>
	<div class="input">
	    <?php echo $form->textarea('PAYMENT_METHOD_JERO_BANK_TRANSFER_FORM_TEXT', $PAYMENT_METHOD_JERO_BANK_TRANSFER_FORM_TEXT, array('class' => 'input-xlarge','rows'=>10,'cols'=>40)) ?>
	</div>
    </div>
</fieldset>
<script type="text/javascript">
    $(document).ready(function(){
	$('input[name=PAYMENT_METHOD_JERO_BANK_TRANSFER_EMAIL_RECEIPT]').change(function(){
	    if ($(this).val()=='true')
		$('#mailbody').slideDown();
	    else
		$('#mailbody').slideUp();
	})
	<?php
	if ($PAYMENT_METHOD_JERO_BANK_TRANSFER_EMAIL_RECEIPT != 'true') { ?>
		$('#mailbody').slideUp();
	<?php } ?>
    })
</script>
